Page MenuHomePhabricator

Allow coordinators to download a file containing username, email, and application/approval date for their partner
Closed, ResolvedPublic

Description

While coordinators can now see applicants emails after approval (T164855), the information isn't currently presented in a way that makes it easy to grab that data in aggregate. If the coordinator could download a file containing a list of usernames, emails, and application or approval date this would be very beneficial.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 9:29 AM
Samwalton9 renamed this task from Allow coordinators to download a file containing username + email for their partner to Allow coordinators to download a file containing username, email, and application/approval date for their partner.Jul 18 2017, 6:50 PM
Samwalton9 updated the task description. (Show Details)

Can we add specific stream to the list of things for the file to display (referencing Oxford University Press)

Can we add specific stream to the list of things for the file to display (referencing Oxford University Press)

Yep!

Also, we should probably only allow the coordinator assigned as coordinator for a partner (and TWL staff) to download that data.

Doesn't necessarily need to be a file - can be displayed in a tabular form in the site.

Samwalton9 raised the priority of this task from Normal to High.Mar 6 2018, 6:44 PM

I'm currently evaluating using a report builder of some kind to meet this and similar needs.

Might also link this with T185244.

Samwalton9 lowered the priority of this task from High to Low.Apr 9 2018, 11:08 AM
Samwalton9 moved this task from Done to Phase 4: Broader discovery on the Library-Card-Platform board.
Samwalton9 added a subscriber: jsn.sherman.
Samwalton9 closed this task as Resolved.Jul 19 2018, 1:54 PM